---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2020-05-26T09:46:44Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:endpoints: {}
        f:jobLabel: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector:
          .: {}
          f:matchLabels:
            .: {}
            f:app: {}
    manager: cluster-version-operator
    operation: Update
    time: "2020-05-26T09:46:44Z"
  name: config-operator
  namespace: openshift-config-operator
  resourceVersion: "13533"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-config-operator/servicemonitors/config-operator
  uid: 17975aa3-dc3c-4b0e-b4d9-d8e4c6aee376
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    port: https
    scheme: https
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt
      serverName: metrics.openshift-config-operator.svc
  jobLabel: component
  namespaceSelector:
    matchNames:
    - openshift-config-operator
  selector:
    matchLabels:
      app: openshift-config-operator
